c	convert ASCII Method Of Splitting Tsunami (MOST) bathymetry
c       to netCDF  jNewman 2004

c0000000011111111112222222222333333333344444444445555555555666666666677777777778
c2345678901234567890123456789012345678901234567890123456789012345678901234567890
      program convert
      include 'netcdf.inc'
* error status return
      integer  iret
* netCDF id
      integer  ncid
      integer  HA_id

      parameter (n_xlon = 1000, n_ylat = 1000)
c..... 
      double precision HA(n_xlon,n_ylat)
      double precision lon(n_xlon),lat(n_ylat)
      double precision scl_m2cm
c      convert meters to centimeters for data variables
      parameter (scl_m2cm = 100.)
      character*80 fname,ncfname
      
c..... Read longitude and latitude from Bathymetry file
      write(*,*) 'Reading lon & lat'
      call BathRead(n_xlon,n_ylat,fname,lon,lat,HA)
      write(*,*) ' longitude:',lon(1),lon(n_xlon)
      write(*,*) '  latitude:',lat(1),lat(n_ylat)
      write(*,*) fname
c..... create output file name
      nc=index(fname,'.')
      ncfname = fname(1:nc+2)
      ncfname(nc+1:nc+2) = 'nc'
      write(*,815) 
 815  format(' netCDF file:',$)
      write(*,*) ncfname
      call fgennc(lon,lat,ncfname,ncid,HA_id)
      write(*,*) ' netCDF initialization complete'
*      Write record variables
      call writerecs(ncid,HA_id,HA)
      iret = nf_close(ncid)
      call check_err(iret)
      write(*,*) 'end bath2netcdf'
      stop
      end
