      subroutine BathRead(n_xlon,n_ylat,fname,h1,h2,ha)
c.....Reads longitude,h1 and latitude,h2 and heights,ha from bathymetry file
c..... in MOST format,
      real*8 h1(n_xlon),h2(n_ylat),ha(n_xlon,n_ylat)
      character*80 fname
      write (*,801)
 801  format(' Bathymetry filename: ',$)
      read(*,802) fname
 802  format(a)
      write(*,*) fname
      open(unit=1,file=fname,status='old',form='formatted')
      read (1,*) n1,n2
      if(n1 .ne. n_xlon .or. n2 .ne. n_ylat) then
         write(*,*) 'PROBLEM*** n1 .ne. n_xlon .or. n2 .ne. n_ylat'
         write(*,*) n1,' .ne.',n_xlon,' or',n2,' .ne.',n_ylat
      end if
      read (1,*) (h1(i), i=1,n1)
      read (1,*) (h2(i), i=1,n2)
      do j=1,n2
        read (1,*) (ha(i,j), i=1,n1)
      end do
      close(unit=1,status='keep')
      return
      end
